Bug Hunting Session
Bug 119255 - EDITING: Soft highlighting color changes to hard color with RTF paste
Summary: EDITING: Soft highlighting color changes to hard color with RTF paste
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.0.0.5 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, bisected, regression
Depends on:
Blocks: RTF-Paste
  Show dependency treegraph
 
Reported: 2018-08-13 15:39 UTC by Telesto
Modified: 2019-09-30 02:51 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file (17.11 KB, application/vnd.oasis.opendocument.text)
2018-08-13 15:39 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2018-08-13 15:39:07 UTC
Description:
EDITING: Soft highlighting color changes to hard color with RTF paste

Steps to Reproduce:
1. Open the attached file
2. CTRL+A
3. CTRL+N
4. CTRL+SHIFT+V RTF paste

Actual Results:
Hard colors

Expected Results:
Soft colors


Reproducible: Always


User Profile Reset: No



Additional Info:
Found in
Version: 6.2.0.0.alpha0+
Build ID: c0fdcece6b886912618deee9656cb2d169a9b999
CPU threads: 4; OS: Windows 6.3; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2018-08-12_00:35:45
Locale: en-US (nl_NL); Calc: CL

and in 5.2.5

highlighting gray in
Version: 5.1.0.0.alpha1+
Build ID: 87ac0b1e75a880a68ecb748bd4b34ae5a3d2ae98
Locale: nl-NL (nl_NL

No repro with
Version: 4.5.0.0.alpha0+
Build ID: 57d6b92b69a31260dea0d84fcd1fc5866ada7adb
Locale: nl_NL
Comment 1 Telesto 2018-08-13 15:39:21 UTC
Created attachment 144154 [details]
Example file
Comment 2 Dieter Praas 2018-08-13 16:37:14 UTC
I confirm it with

Version: 6.2.0.0.alpha0+ (x64)
Build ID: 0a1a4ffb4f87adff7fbbbc60202b6a0e42fedd0c
CPU threads: 4; OS: Windows 10.0; UI render: GL; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-08-08_23:17:46
Locale: en-US (de_DE); Calc: CL
Comment 3 Xisco Faulí 2018-08-14 13:52:00 UTC
The behaviour changed from soft colour to back and white in

https://cgit.freedesktop.org/libreoffice/core/commit/?id=3e03767906c9a283ba0c65114f58f38276902c63

author	Zolnai Tamás <zolnaitamas2000@gmail.com>	2015-03-18 15:23:58 +0100
committer	Zolnai Tamás <zolnaitamas2000@gmail.com>	2015-03-21 16:19:11 +0100
commit	3e03767906c9a283ba0c65114f58f38276902c63 (patch)
tree	5dc821e413131371cd4b9075952af64f8df494da
parent	1d1f757f574aa609bdaa375bb8cdfa7f7941887d (diff)
Char highlight: convert LO character background to MSO highlighting
DOC export has a good approximating algorithm for that
so use it everywhere.
In RTF case use the default color table which is added
also by MSO Word. With that highlight colors are also added to
the table.

Bisected with: bibisect-50max

Adding Cc: to Zolnai Tamás
Comment 4 Xisco Faulí 2018-08-14 13:54:56 UTC
At some point in repo 5.1 ( not available for linux ) it changed from black and white to strong colours...

Adding bibisectRequest keyword...
Comment 5 Aron Budea 2018-09-29 19:27:33 UTC
Bibisected to the following range using repo /bibisect-win32-5.1, which is a single commit there.
https://cgit.freedesktop.org/libreoffice/core/log/?qt=range&q=c657740b0f6caa5d0c7d54db37aca013d6ac1c8c..4c5498ec5ee478e27fd62bdcf9de1208c692422c

From that range the following commit is the likely culprit:
https://cgit.freedesktop.org/libreoffice/core/commit/?id=16f9cf57e20ffbe34cb184f694f465708250a578
author		Zolnai Tamás <zolnaitamas2000@gmail.com>	2015-07-14 09:44:10 +0200
committer	Zolnai Tamás <zolnaitamas2000@gmail.com>	2015-07-14 10:36:18 +0200

tdf#92471: Improve color conversion to MSO highlighting
Comment 6 QA Administrators 2019-09-30 02:51:30 UTC
Dear Telesto,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug